package pwc.taxtech.atms.constant.enums;

/**
 * @Auther: Gary J Li
 * @Date: 27/02/2019 20:36
 * @Description:
 */
public enum CountTypeEnum {

    total(1,"合计"),
    sixteenPercent(2,"16%"),
    tenPercent(3,"10%"),
    sixPercent(4,"6%"),
    threePercent(5,"3%"),
    seventeenPercent(6,"17%"),
    elevenPercent(7,"11%"),
    fivePercent(8,"5%"),
    other(9,"其他");

    private int code;

    private String type;

    CountTypeEnum(int code,String type){
        this.code = code;
        this.type = type;
    }

    public int getCode() {
        return code;
    }

    public String getType() {
        return type;
    }

}
