package pwc.taxtech.atms.dto.input;

import com.github.pagehelper.PageInfo;

import java.util.List;

public class CamelPagingResultDto<T> {
    private List<T> list;
    private CamelPagingDto pageInfo;
    private T calculateData;

    public CamelPagingResultDto() {
    }

    public CamelPagingResultDto(PageInfo<T> pageInfo) {
        this.setList(pageInfo.getList());
        CamelPagingDto pagingDto = new CamelPagingDto();
        pagingDto.setPageIndex(pageInfo.getPageNum());
        pagingDto.setPageSize(pageInfo.getPageSize());
        pagingDto.setTotalCount((int) pageInfo.getTotal());
        this.setPageInfo(pagingDto);
    }

    public List<T> getList() {
        return list;
    }

    public void setList(List<T> list) {
        this.list = list;
    }

    public CamelPagingDto getPageInfo() {
        return pageInfo;
    }

    public void setPageInfo(CamelPagingDto pageInfo) {
        this.pageInfo = pageInfo;
    }

    public T getCalculateData() {
        return calculateData;
    }

    public void setCalculateData(T calculateData) {
        this.calculateData = calculateData;
    }
}
