package pwc.taxtech.atms.dto.role;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.ArrayList;
import java.util.List;

public class RoleDisplayDto extends RoleDto {
    @JsonProperty("roleID")
    private String roleId;
    private String roleTypeName;
    @JsonProperty("permissionIDs")
    private List<String> permissionIds = new ArrayList<>();

    private List<String> permissionNames = new ArrayList<>();

    /**
     * @return the roleId
     */
    public String getRoleId() {
        return roleId;
    }

    /**
     * @param roleId the roleId to set
     */
    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    /**
     * @return the roleTypeName
     */
    public String getRoleTypeName() {
        return roleTypeName;
    }

    /**
     * @param roleTypeName the roleTypeName to set
     */
    public void setRoleTypeName(String roleTypeName) {
        this.roleTypeName = roleTypeName;
    }

    /**
     * @return the permissionIds
     */
    public List<String> getPermissionIds() {
        return permissionIds;
    }

    /**
     * @param permissionIds the permissionIds to set
     */
    public void setPermissionIds(List<String> permissionIds) {
        this.permissionIds = permissionIds;
    }

    /**
     * @return the permissionNames
     */
    public List<String> getPermissionNames() {
        return permissionNames;
    }

    /**
     * @param permissionNames the permissionNames to set
     */
    public void setPermissionNames(List<String> permissionNames) {
        this.permissionNames = permissionNames;
    }


}
