package pwc.taxtech.atms.dto.user;

import com.fasterxml.jackson.annotation.JsonProperty;
import pwc.taxtech.atms.dpo.RoleInfo;

import java.util.List;

public class UserRoleDisplayInfo {
    @JsonProperty("ID")
    private String id;
    @JsonProperty("userID")
    private String userId;

    private String userName;

    private String email;

    public Integer status;
    @JsonProperty("organizationID")
    private String organizationId;
    @JsonProperty("serviceTypeID")
    private String serviceTypeId;

    private String organizationName;

    private List<RoleInfo> roleInfoList;

    private Boolean hasOriginalRole;

    public Boolean isAccessible;

    public Boolean isHeritable;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getOrganizationId() {
        return organizationId;
    }

    public void setOrganizationId(String organizationId) {
        this.organizationId = organizationId;
    }

    public String getServiceTypeId() {
        return serviceTypeId;
    }

    public void setServiceTypeId(String serviceTypeId) {
        this.serviceTypeId = serviceTypeId;
    }

    public String getOrganizationName() {
        return organizationName;
    }

    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }

    public List<RoleInfo> getRoleInfoList() {
        return roleInfoList;
    }

    public void setRoleInfoList(List<RoleInfo> roleInfoList) {
        this.roleInfoList = roleInfoList;
    }

    public Boolean getHasOriginalRole() {
        return hasOriginalRole;
    }

    public void setHasOriginalRole(Boolean hasOriginalRole) {
        this.hasOriginalRole = hasOriginalRole;
    }

    public Boolean getIsAccessible() {
        return isAccessible;
    }

    public void setIsAccessible(Boolean isAccessible) {
        this.isAccessible = isAccessible;
    }

    public Boolean getIsHeritable() {
        return isHeritable;
    }

    public void setIsHeritable(Boolean isHeritable) {
        this.isHeritable = isHeritable;
    }

}
