package pwc.taxtech.atms.vat.dpo;

import pwc.taxtech.atms.CommonUtils;
import pwc.taxtech.atms.vat.entity.PeriodDataSource;

import java.util.List;

public class DataSourceExtendDto extends PeriodDataSource {
    private Integer operationType;
    private Long cellTemplateId;
    private Long cellDataId;
    private List<String> items;
    private PeriodDataSource dataSource;
    private Long reportTemplateId;
    private Integer dataSourceType;

    public PeriodDataSource getDataSource() {
        this.dataSource = new PeriodDataSource();
        CommonUtils.copyProperties(this, dataSource);
        return this.dataSource;
    }

    public Integer getOperationType() {
        return operationType;
    }

    public void setOperationType(Integer operationType) {
        this.operationType = operationType;
    }

    public Long getCellTemplateId() {
        return cellTemplateId;
    }

    public void setCellTemplateId(Long cellTemplateId) {
        this.cellTemplateId = cellTemplateId;
    }

    public Long getCellDataId() {
        return cellDataId;
    }

    public void setCellDataId(Long cellDataId) {
        this.cellDataId = cellDataId;
    }

    public List<String> getItems() {
        return items;
    }

    public void setItems(List<String> items) {
        this.items = items;
    }

    public void setDataSource(PeriodDataSource dataSource) {
        this.dataSource = dataSource;
    }

    public Long getReportTemplateId() {
        return reportTemplateId;
    }

    public void setReportTemplateId(Long reportTemplateId) {
        this.reportTemplateId = reportTemplateId;
    }

    public Integer getDataSourceType() {
        return dataSourceType;
    }

    public void setDataSourceType(Integer dataSourceType) {
        this.dataSourceType = dataSourceType;
    }
}
