package pwc.taxtech.atms.vat.dpo;


import pwc.taxtech.atms.dpo.PagingDto;

import java.math.BigDecimal;
import java.util.Date;

public class InputInvoicePreviewQueryParam {
    private PagingDto pageInfo;
    private int periodStart;
    private int periodEnd;
    private Date certificationDateStart;
    private Date certificationDateEnd;
    private String invoiceCode;
    private String invoiceNumber;
    private String sellerTaxNumber;
    private BigDecimal amountStart;
    private BigDecimal amountEnd;
    private Integer invoiceType;
    private BigDecimal taxAmountStart;
    private BigDecimal taxAmountEnd;
    /**
     * 1:认证通过，2：认证不通过，3：全部
     */
    private int certificationStatus;

    public PagingDto getPageInfo() {
        return pageInfo;
    }

    public void setPageInfo(PagingDto pageInfo) {
        this.pageInfo = pageInfo;
    }

    public int getPeriodStart() {
        return periodStart;
    }

    public void setPeriodStart(int periodStart) {
        this.periodStart = periodStart;
    }

    public int getPeriodEnd() {
        return periodEnd;
    }

    public void setPeriodEnd(int periodEnd) {
        this.periodEnd = periodEnd;
    }

    public Date getCertificationDateStart() {
        return certificationDateStart;
    }

    public void setCertificationDateStart(Date certificationDateStart) {
        this.certificationDateStart = certificationDateStart;
    }

    public Date getCertificationDateEnd() {
        return certificationDateEnd;
    }

    public void setCertificationDateEnd(Date certificationDateEnd) {
        this.certificationDateEnd = certificationDateEnd;
    }

    public String getInvoiceCode() {
        return invoiceCode;
    }

    public void setInvoiceCode(String invoiceCode) {
        this.invoiceCode = invoiceCode;
    }

    public String getInvoiceNumber() {
        return invoiceNumber;
    }

    public void setInvoiceNumber(String invoiceNumber) {
        this.invoiceNumber = invoiceNumber;
    }

    public String getSellerTaxNumber() {
        return sellerTaxNumber;
    }

    public void setSellerTaxNumber(String sellerTaxNumber) {
        this.sellerTaxNumber = sellerTaxNumber;
    }

    public BigDecimal getAmountStart() {
        return amountStart;
    }

    public void setAmountStart(BigDecimal amountStart) {
        this.amountStart = amountStart;
    }

    public BigDecimal getAmountEnd() {
        return amountEnd;
    }

    public void setAmountEnd(BigDecimal amountEnd) {
        this.amountEnd = amountEnd;
    }

    public Integer getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(Integer invoiceType) {
        this.invoiceType = invoiceType;
    }

    public BigDecimal getTaxAmountStart() {
        return taxAmountStart;
    }

    public void setTaxAmountStart(BigDecimal taxAmountStart) {
        this.taxAmountStart = taxAmountStart;
    }

    public BigDecimal getTaxAmountEnd() {
        return taxAmountEnd;
    }

    public void setTaxAmountEnd(BigDecimal taxAmountEnd) {
        this.taxAmountEnd = taxAmountEnd;
    }

    public int getCertificationStatus() {
        return certificationStatus;
    }

    public void setCertificationStatus(int certificationStatus) {
        this.certificationStatus = certificationStatus;
    }
}
