import Vue from 'vue'
import './plugins/vuetify'
import App from './App.vue'
import router from './router'
import store from './store'
// import FlagIcon from 'vue-flag-icon'
// import './assets/iconfont/iconfont.css'
import './assets/iconfont/iconfont.js'
import './assets/iconfont/globalcss.css'
import axios from 'axios'


Vue.config.productionTip = false
Vue.prototype.$axios = axios
// Vue.use(FlagIcon)

new Vue({
    router,
    store,
    render: h => h(App)
}).$mount('#app')
