package pwc.taxtech.atms.web;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Configuration
public class OrangeHeapConfig {
    @Value("${longi_api_basic_user}")
    private String longiApiBasicUser;
    @Value("${longi_api_basic_pwd}")
    private String longiApiBasicPwd;
    @Value("${longi_api_gl_balance}")
    private String longiApiGlBalance;

    //tableau相关配置
    @Value("${tableau_get_ticket}")
    private String tableauGetTicket;

    @Value("${tableau_tax_category_unreturned_tax}")
    private String tableauTaxCategoryUnreturnedTax;

    @Value("${tableau_district_unreturned_tax}")
    private String tableauDistrictUnreturnedTax;

    @Value("${tableau_unreturned_and_returned_tax}")
    private String tableauUnreturnedAndReturnedTax;

    @Value("${tableau_cost_analysis}")
    private String tableauCostAnalysis;

    @Value("${tableau_district_profit_and_loss}")
    private String tableauDistrictProfitAndLoss;

    @Value("${tableau_company_profit_and_loss}")
    private String tableauCompanyProfitAndLoss;

    @Value("${tableau_driver_and_employee}")
    private String tableauDriverAndEmployee;

    @Value("${tableau_gmv_and_subsidy}")
    private String tableauGmvAndSubsidy;

    @Value("${tableau_file_arrangement}")
    private String tableauFileArrangement;

    @Value("${tableau_global_overview}")
    private String tableauGlobalOverview;

    @Value("${tableau_global_business}")
    private String tableauGlobalBusiness;

    @Value("${tableau_mexican_tax}")
    private String tableauMexicanTax;

    @Value("${tableau_australian_tax}")
    private String tableauAustralianTax;

    @Value("${tableau_brazilian_tax}")
    private String tableauBrazilianTax;

    @Value("${tableau_other_tax_analysis}")
    private String tableauOtherTaxAnalysis;

    public String getLongiApiBasicUser() {
        return longiApiBasicUser;
    }

    public void setLongiApiBasicUser(String longiApiBasicUser) {
        this.longiApiBasicUser = longiApiBasicUser;
    }

    public String getLongiApiBasicPwd() {
        return longiApiBasicPwd;
    }

    public void setLongiApiBasicPwd(String longiApiBasicPwd) {
        this.longiApiBasicPwd = longiApiBasicPwd;
    }

    public String getLongiApiGlBalance() {
        return longiApiGlBalance;
    }

    public void setLongiApiGlBalance(String longiApiGlBalance) {
        this.longiApiGlBalance = longiApiGlBalance;
    }

    public String getTableauGetTicket() {
        return tableauGetTicket;
    }

    public void setTableauGetTicket(String tableauGetTicket) {
        this.tableauGetTicket = tableauGetTicket;
    }

    public String getTableauTaxCategoryUnreturnedTax() {
        return tableauTaxCategoryUnreturnedTax;
    }

    public void setTableauTaxCategoryUnreturnedTax(String tableauTaxCategoryUnreturnedTax) {
        this.tableauTaxCategoryUnreturnedTax = tableauTaxCategoryUnreturnedTax;
    }

    public String getTableauDistrictUnreturnedTax() {
        return tableauDistrictUnreturnedTax;
    }

    public void setTableauDistrictUnreturnedTax(String tableauDistrictUnreturnedTax) {
        this.tableauDistrictUnreturnedTax = tableauDistrictUnreturnedTax;
    }

    public String getTableauUnreturnedAndReturnedTax() {
        return tableauUnreturnedAndReturnedTax;
    }

    public void setTableauUnreturnedAndReturnedTax(String tableauUnreturnedAndReturnedTax) {
        this.tableauUnreturnedAndReturnedTax = tableauUnreturnedAndReturnedTax;
    }

    public String getTableauCostAnalysis() {
        return tableauCostAnalysis;
    }

    public void setTableauCostAnalysis(String tableauCostAnalysis) {
        this.tableauCostAnalysis = tableauCostAnalysis;
    }

    public String getTableauDistrictProfitAndLoss() {
        return tableauDistrictProfitAndLoss;
    }

    public void setTableauDistrictProfitAndLoss(String tableauDistrictProfitAndLoss) {
        this.tableauDistrictProfitAndLoss = tableauDistrictProfitAndLoss;
    }

    public String getTableauCompanyProfitAndLoss() {
        return tableauCompanyProfitAndLoss;
    }

    public void setTableauCompanyProfitAndLoss(String tableauCompanyProfitAndLoss) {
        this.tableauCompanyProfitAndLoss = tableauCompanyProfitAndLoss;
    }

    public String getTableauDriverAndEmployee() {
        return tableauDriverAndEmployee;
    }

    public void setTableauDriverAndEmployee(String tableauDriverAndEmployee) {
        this.tableauDriverAndEmployee = tableauDriverAndEmployee;
    }

    public String getTableauGmvAndSubsidy() {
        return tableauGmvAndSubsidy;
    }

    public void setTableauGmvAndSubsidy(String tableauGmvAndSubsidy) {
        this.tableauGmvAndSubsidy = tableauGmvAndSubsidy;
    }

    public String getTableauFileArrangement() {
        return tableauFileArrangement;
    }

    public void setTableauFileArrangement(String tableauFileArrangement) {
        this.tableauFileArrangement = tableauFileArrangement;
    }

    public String getTableauGlobalOverview() {
        return tableauGlobalOverview;
    }

    public void setTableauGlobalOverview(String tableauGlobalOverview) {
        this.tableauGlobalOverview = tableauGlobalOverview;
    }

    public String getTableauGlobalBusiness() {
        return tableauGlobalBusiness;
    }

    public void setTableauGlobalBusiness(String tableauGlobalBusiness) {
        this.tableauGlobalBusiness = tableauGlobalBusiness;
    }

    public String getTableauMexicanTax() {
        return tableauMexicanTax;
    }

    public void setTableauMexicanTax(String tableauMexicanTax) {
        this.tableauMexicanTax = tableauMexicanTax;
    }

    public String getTableauAustralianTax() {
        return tableauAustralianTax;
    }

    public void setTableauAustralianTax(String tableauAustralianTax) {
        this.tableauAustralianTax = tableauAustralianTax;
    }

    public String getTableauBrazilianTax() {
        return tableauBrazilianTax;
    }

    public void setTableauBrazilianTax(String tableauBrazilianTax) {
        this.tableauBrazilianTax = tableauBrazilianTax;
    }

    public String getTableauOtherTaxAnalysis() {
        return tableauOtherTaxAnalysis;
    }

    public void setTableauOtherTaxAnalysis(String tableauOtherTaxAnalysis) {
        this.tableauOtherTaxAnalysis = tableauOtherTaxAnalysis;
    }
}