﻿citModule.directive('citImportJournalEntry', ['$log', 'enums',
    function ($log, enums) {
        'use strict';
        $log.debug('citImportJournalEntry.ctor()...');

        return {
            restrict: 'E',
            template: '<import-journal-entry service-type-id="serviceTypeId" period-id="periodId"></import-journal-entry>',
            scope: {},
            link: function (scope, element) {
                scope.periodId = enums.wholeYearPeriod.import;
                scope.serviceTypeId = enums.serviceType.CIT;
            }
        };
    }
]);