﻿webservices.factory('vatOperationLogService', ['$log', '$http', 'apiConfig',
    function ($log, $http, apiConfig) {
        'use strict';
        $log.debug('vatOperationLogService.ctor()...');
        return {
            addOperationLog: function (operationLog) {
                return $http.post('/operationlog/addOperationLog/', operationLog, apiConfig.createVat());
            },
             
            getOperationLogList: function (param) {
                return $http.post('/operationlog/getOperationLogList', {
                PageInfo: param.pageInfo,
                Period: param.period,
                ModuleID: param.moduleID,
                QueryValue: param.queryValue,
                UserId: param.userId
            }, apiConfig.createVat());
            }

        };

    }]);