﻿// web service proxy for role
webservices.factory('dashboardConfigSummaryService', ['$http', 'apiConfig', function ($http, apiConfig) {
    'use strict';
    return {
        querySummaryData: function (model) {
            return $http.post('/dashboardConfigSummary/querySummaryData', model, apiConfig.create());
        },   
        queryOrganizationData: function (organizationId,year,period) {
            return $http.get('/dashboardConfigSummary/queryOrganizationData/'+ organizationId + '/' + year + '/' + period, apiConfig.create());
        }
    };
}]);