package pwc.taxtech.atms.common;

/**
 * @see PwC.Tax.Tech.Atms.Application.Dto\TaxAdminDto\UserRoleDimensionValueDto.cs
 */
public enum RoleSourceEnum {

    // Unknown = 0,
    // OrganizationLevel = 1,
    // AreaLevel = 2,
    // BusinessUnitLevel = 3,
    // OriginalLevel = 4,
    // DimensionLevel = 5,
    // DimensionOriginalLevel = 6, //维度的原始角色
    // DimensionExraLevel = 7, //维度的附加角色
    // OrganizationOriginaLevel = 8, //机构的原始角色
    // OrganizationExtraLevel = 9, //机构的附加角色

    /***/
    Unknown(0),
    /***/
    OrganizationLevel(1),
    /***/
    AreaLevel(2),
    /***/
    BusinessUnitLevel(3),
    /***/
    OriginalLevel(4),
    /***/
    DimensionLevel(5),
    /***/
    DimensionOriginalLevel(6),
    /***/
    DimensionExraLevel(7),
    /***/
    OrganizationOriginaLevel(8),
    /***/
    OrganizationExtraLevel(9),
    /***/
    ;

    private Integer value;

    RoleSourceEnum(Integer value) {
        this.value = value;
    }

    public Integer value() {
        return value;
    }

    public static RoleSourceEnum valueOf(Integer value) {
        for (RoleSourceEnum item : RoleSourceEnum.values()) {
            if (item.value.equals(value)) {
                return item;
            }
        }
        return null;
    }

}
