package pwc.taxtech.atms.common.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Configuration
public class SystemConfig {
    @Value("${longi_api_basic_user}")
    private String longiApiBasicUser;
    @Value("${longi_api_basic_pwd}")
    private String longiApiBasicPwd;
    @Value("${longi_api_gl_balance}")
    private String longiApiGlBalance;

    //tableau相关配置
    @Value("${tableau_get_ticket}")
    private String tableauGetTicket;
    @Value("${tableau_unreturned_tax}")
    private String tableauUnreturnedTax;
    @Value("${tableau_tax_comparison}")
    private String tableauTaxComparison;
    @Value("${tableau_other_countries}")
    private String tableauOtherCountries;
    @Value("${tableau_cost_analysis}")
    private String tableauCostAnalysis;
    @Value("${tableau_profit_and_loss}")
    private String tableauProfitAndLoss;
    @Value("${tableau_other_domestic_data}")
    private String tableauOtherDomesticData;
    @Value("${tableau_doc_situation}")
    private String tableauDocSituation;
    @Value("${tableau_global_overview}")
    private String tableauGlobalOverview;
    @Value("${tableau_mexican_tax}")
    private String tableauMexicanTax;
    @Value("${tableau_australian_tax}")
    private String tableauAustralianTax;
    @Value("${tableau_brazilian_tax}")
    private String tableauBrazilianTax;

    public String getLongiApiBasicUser() {
        return this.longiApiBasicUser;
    }

    public void setLongiApiBasicUser(String longiApiBasicUser) {
        this.longiApiBasicUser = longiApiBasicUser;
    }

    public String getLongiApiBasicPwd() {
        return this.longiApiBasicPwd;
    }

    public void setLongiApiBasicPwd(String longiApiBasicPwd) {
        this.longiApiBasicPwd = longiApiBasicPwd;
    }

    public String getLongiApiGlBalance() {
        return this.longiApiGlBalance;
    }

    public void setLongiApiGlBalance(String longiApiGlBalance) {
        this.longiApiGlBalance = longiApiGlBalance;
    }

    public String getTableauGetTicket() {
        return this.tableauGetTicket;
    }

    public void setTableauGetTicket(String tableauGetTicket) {
        this.tableauGetTicket = tableauGetTicket;
    }

    public String getTableauUnreturnedTax() {
        return this.tableauUnreturnedTax;
    }

    public void setTableauUnreturnedTax(String tableauUnreturnedTax) {
        this.tableauUnreturnedTax = tableauUnreturnedTax;
    }

    public String getTableauTaxComparison() {
        return this.tableauTaxComparison;
    }

    public void setTableauTaxComparison(String tableauTaxComparison) {
        this.tableauTaxComparison = tableauTaxComparison;
    }

    public String getTableauOtherCountries() {
        return this.tableauOtherCountries;
    }

    public void setTableauOtherCountries(String tableauOtherCountries) {
        this.tableauOtherCountries = tableauOtherCountries;
    }

    public String getTableauCostAnalysis() {
        return this.tableauCostAnalysis;
    }

    public void setTableauCostAnalysis(String tableauCostAnalysis) {
        this.tableauCostAnalysis = tableauCostAnalysis;
    }

    public String getTableauProfitAndLoss() {
        return this.tableauProfitAndLoss;
    }

    public void setTableauProfitAndLoss(String tableauProfitAndLoss) {
        this.tableauProfitAndLoss = tableauProfitAndLoss;
    }

    public String getTableauOtherDomesticData() {
        return this.tableauOtherDomesticData;
    }

    public void setTableauOtherDomesticData(String tableauOtherDomesticData) {
        this.tableauOtherDomesticData = tableauOtherDomesticData;
    }

    public String getTableauDocSituation() {
        return this.tableauDocSituation;
    }

    public void setTableauDocSituation(String tableauDocSituation) {
        this.tableauDocSituation = tableauDocSituation;
    }

    public String getTableauGlobalOverview() {
        return this.tableauGlobalOverview;
    }

    public void setTableauGlobalOverview(String tableauGlobalOverview) {
        this.tableauGlobalOverview = tableauGlobalOverview;
    }

    public String getTableauMexicanTax() {
        return this.tableauMexicanTax;
    }

    public void setTableauMexicanTax(String tableauMexicanTax) {
        this.tableauMexicanTax = tableauMexicanTax;
    }

    public String getTableauAustralianTax() {
        return this.tableauAustralianTax;
    }

    public void setTableauAustralianTax(String tableauAustralianTax) {
        this.tableauAustralianTax = tableauAustralianTax;
    }

    public String getTableauBrazilianTax() {
        return this.tableauBrazilianTax;
    }

    public void setTableauBrazilianTax(String tableauBrazilianTax) {
        this.tableauBrazilianTax = tableauBrazilianTax;
    }
}
