package pwc.taxtech.atms.common.util;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;
import pwc.taxtech.atms.constant.Constant;

import java.io.IOException;
import java.math.BigDecimal;
import java.text.DecimalFormat;

public class PwCDecimalSerialize extends JsonSerializer<BigDecimal> {
    private DecimalFormat df = new DecimalFormat(Constant.DECIMAL_FORMAT);

    @Override
    public void serialize(BigDecimal value, JsonGenerator gen, SerializerProvider serializers) throws IOException {
        if (null != value) {
            gen.writeString(df.format(value));
        }
    }
}
