package pwc.taxtech.atms.constant.enums;

public enum EnumCitAssetType {
    //固定资产
    FixedAssets(1),
    //长期待摊
    LongTermPrepaid (2),
    //无形资产
    InvisibleAssets (3);

    private Integer code;

    EnumCitAssetType(Integer code) {
        this.code = code;
    }

    public Integer getCode() {
        return code;
    }

    public static EnumCitAssetType valueOf(Integer value) {
        for (EnumCitAssetType item : EnumCitAssetType.values()) {
            if (item.getCode().equals(value)) {
                return item;
            }
        }
        return null;
    }
}
