package pwc.taxtech.atms.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import pwc.taxtech.atms.common.util.PwCIdSerialize;

import java.io.Serializable;
import java.util.Date;

/**
 * AssetDetailGroupDto AssetDetailGroup页面Dto
 *
 * @author zhikai.z.wei
 * @date 2019/1/25
 */
public class AssetDetailGroupStringDto implements Serializable{

    private String id;

    private String assetGroupId;

    private String detailGroupName;
    private Integer assetGroupType;
    private Integer groupYear;
    private Date createTime;
    private Date updateTime;
    private Integer detailGroupType;
    private String keyValues;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAssetGroupId() {
        return assetGroupId;
    }

    public void setAssetGroupId(String assetGroupId) {
        this.assetGroupId = assetGroupId;
    }

    /**
     *
     * 扩展属性，当前页码
     *
     */
    private Integer pageIndex;

    /**
     *
     * 扩展属性，当前页所展示的数量
     *
     */
    private Integer pageSize;

    public Integer getPageIndex() {
        return pageIndex;
    }

    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getDetailGroupName() {
        return detailGroupName;
    }

    public void setDetailGroupName(String detailGroupName) {
        this.detailGroupName = detailGroupName == null ? null : detailGroupName.trim();
    }

    public Integer getAssetGroupType() {
        return assetGroupType;
    }

    public void setAssetGroupType(Integer assetGroupType) {
        this.assetGroupType = assetGroupType;
    }

    public Integer getGroupYear() {
        return groupYear;
    }

    public void setGroupYear(Integer groupYear) {
        this.groupYear = groupYear;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDetailGroupType() {
        return detailGroupType;
    }

    public void setDetailGroupType(Integer detailGroupType) {
        this.detailGroupType = detailGroupType;
    }

    public String getKeyValues() {
        return keyValues;
    }

    public void setKeyValues(String keyValues) {
        this.keyValues = keyValues == null ? null : keyValues.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", assetGroupId=").append(assetGroupId);
        sb.append(", detailGroupName=").append(detailGroupName);
        sb.append(", assetGroupType=").append(assetGroupType);
        sb.append(", groupYear=").append(groupYear);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", detailGroupType=").append(detailGroupType);
        sb.append(", keyValues=").append(keyValues);
        sb.append("]");
        return sb.toString();
    }
}
