package pwc.taxtech.atms.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import pwc.taxtech.atms.common.util.PwCIdSerialize;

public class DeleteTemplateParam {

    @JsonProperty("ID")
    @JsonSerialize(using = PwCIdSerialize.class)
    private Long id;
    private boolean isDeletePermanent;
    private String path;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public boolean isDeletePermanent() {
        return isDeletePermanent;
    }

    public void setDeletePermanent(boolean deletePermanent) {
        isDeletePermanent = deletePermanent;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }
}
