package pwc.taxtech.atms.dto.arearegion;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

public class AreaRegionInfo {
    @JsonProperty("ID")
    private String id;

    //The name of the area.
    private String name;

    @JsonProperty("parentId")
    private String parentId;

    //The city list
    private List<CityInfo> cityList;

    private Boolean isActive;

    /**
     * @return the id
     */
    public String getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the parentId
     */
    public String getParentId() {
        return parentId;
    }

    /**
     * @param parentId the parentId to set
     */
    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    /**
     * @return the cityList
     */
    public List<CityInfo> getCityList() {
        return cityList;
    }

    /**
     * @param cityList the cityList to set
     */
    public void setCityList(List<CityInfo> cityList) {
        this.cityList = cityList;
    }

    /**
     * @return the isActive
     */
    public Boolean getIsActive() {
        return isActive;
    }

    /**
     * @param isActive the isActive to set
     */
    public void setIsActive(Boolean isActive) {
        this.isActive = isActive;
    }


}
