package pwc.taxtech.atms.dto.organization;

import com.fasterxml.jackson.annotation.JsonProperty;
import pwc.taxtech.atms.dpo.RoleInfo;

import java.util.List;


/**
 * @see PwC.Tax.Tech.Atms.Application.Dto\TaxAdminDto\OrganizationDto.cs
 */
public class OrgRoleDto {
    @JsonProperty("orgID")
    private String orgId;
    private String orgName;
    private Boolean isAccessible;
    private Boolean hasOriginalRole;
    private List<RoleInfo> roleList;

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Boolean getIsAccessible() {
        return isAccessible;
    }

    public void setIsAccessible(Boolean isAccessible) {
        this.isAccessible = isAccessible;
    }

    public Boolean getHasOriginalRole() {
        return hasOriginalRole;
    }

    public void setHasOriginalRole(Boolean hasOriginalRole) {
        this.hasOriginalRole = hasOriginalRole;
    }

    public List<RoleInfo> getRoleList() {
        return roleList;
    }

    public void setRoleList(List<RoleInfo> roleList) {
        this.roleList = roleList;
    }

}
