package pwc.taxtech.atms.dto.vatdto;

import com.fasterxml.jackson.annotation.JsonProperty;
import pwc.taxtech.atms.dto.CellTemplateConfigDto;
import pwc.taxtech.atms.vat.entity.PeriodModifiedReportCell;

import java.util.List;

public class CellDataDto {
    @JsonProperty("cellID")
    private String cellId;
    @JsonProperty("reportID")
    private String reportId;

    private int columnIndex;

    private String columnName;

    private int rowIndex;

    private String rowName;

    private String formula;

    private Boolean isCalculated;

    private String cellValue;

    private String keyinData;

    @JsonProperty("cellTemplateID")
    private String cellTemplateId;
    @JsonProperty("reportTemplateID")
    private String reportTemplateId;

    private Integer dataType;

    private Boolean isReadOnly;

    private String dataSourceExp;
    private String formulaExp;

    private String description;

    private Boolean dataSourceAvailable;

    private CellTemplateConfigDto cellTemplateConfig;

    private List<DataSourceDto> dataSourceList;

    private List<InvoiceListDto> dataInvoiceList;

    //是否是用户手工调整过得值
    private Boolean isModified;

    //用户直接修改单元格的信息
    private PeriodModifiedReportCell modifiedReportCell;

    private List<CellVoucherDatasourceDto> dataVoucherList;

    private Boolean isConfigured;

    private String validationResult;

    public String getCellId() {
        return this.cellId;
    }

    public void setCellId(String cellId) {
        this.cellId = cellId;
    }

    public String getReportId() {
        return this.reportId;
    }

    public void setReportId(String reportId) {
        this.reportId = reportId;
    }

    public int getColumnIndex() {
        return this.columnIndex;
    }

    public void setColumnIndex(int columnIndex) {
        this.columnIndex = columnIndex;
    }

    public String getColumnName() {
        return this.columnName;
    }

    public void setColumnName(String columnName) {
        this.columnName = columnName;
    }

    public int getRowIndex() {
        return this.rowIndex;
    }

    public void setRowIndex(int rowIndex) {
        this.rowIndex = rowIndex;
    }

    public String getRowName() {
        return this.rowName;
    }

    public void setRowName(String rowName) {
        this.rowName = rowName;
    }

    public String getFormula() {
        return this.formula;
    }

    public void setFormula(String formula) {
        this.formula = formula;
    }

    public Boolean getIsCalculated() {
        return this.isCalculated;
    }

    public void setIsCalculated(Boolean calculated) {
        this.isCalculated = calculated;
    }

    public String getCellValue() {
        return this.cellValue;
    }

    public void setCellValue(String cellValue) {
        this.cellValue = cellValue;
    }

    public String getKeyinData() {
        return this.keyinData;
    }

    public void setKeyinData(String keyinData) {
        this.keyinData = keyinData;
    }

    public String getCellTemplateId() {
        return this.cellTemplateId;
    }

    public void setCellTemplateId(String cellTemplateId) {
        this.cellTemplateId = cellTemplateId;
    }

    public String getReportTemplateId() {
        return this.reportTemplateId;
    }

    public void setReportTemplateId(String reportTemplateId) {
        this.reportTemplateId = reportTemplateId;
    }

    public Integer getDataType() {
        return this.dataType;
    }

    public void setDataType(Integer dataType) {
        this.dataType = dataType;
    }

    public Boolean getIsReadOnly() {
        return this.isReadOnly;
    }

    public void setIsReadOnly(Boolean readOnly) {
        this.isReadOnly = readOnly;
    }

    public String getDataSourceExp() {
        return this.dataSourceExp;
    }

    public void setDataSourceExp(String dataSourceExp) {
        this.dataSourceExp = dataSourceExp;
    }

    public String getFormulaExp() {
        return this.formulaExp;
    }

    public void setFormulaExp(String formulaExp) {
        this.formulaExp = formulaExp;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Boolean getDataSourceAvailable() {
        return this.dataSourceAvailable;
    }

    public void setDataSourceAvailable(Boolean dataSourceAvailable) {
        this.dataSourceAvailable = dataSourceAvailable;
    }

    public CellTemplateConfigDto getCellTemplateConfig() {
        return this.cellTemplateConfig;
    }

    public void setCellTemplateConfig(CellTemplateConfigDto cellTemplateConfig) {
        this.cellTemplateConfig = cellTemplateConfig;
    }

    public List<DataSourceDto> getDataSourceList() {
        return this.dataSourceList;
    }

    public void setDataSourceList(List<DataSourceDto> dataSourceList) {
        this.dataSourceList = dataSourceList;
    }

    public List<InvoiceListDto> getDataInvoiceList() {
        return this.dataInvoiceList;
    }

    public void setDataInvoiceList(List<InvoiceListDto> dataInvoiceList) {
        this.dataInvoiceList = dataInvoiceList;
    }

    public Boolean getIsModified() {
        return this.isModified;
    }

    public void setIsModified(Boolean modified) {
        this.isModified = modified;
    }

    public PeriodModifiedReportCell getModifiedReportCell() {
        return this.modifiedReportCell;
    }

    public void setModifiedReportCell(PeriodModifiedReportCell modifiedReportCell) {
        this.modifiedReportCell = modifiedReportCell;
    }

    public List<CellVoucherDatasourceDto> getDataVoucherList() {
        return this.dataVoucherList;
    }

    public void setDataVoucherList(List<CellVoucherDatasourceDto> dataVoucherList) {
        this.dataVoucherList = dataVoucherList;
    }

    public Boolean getIsConfigured() {
        return this.isConfigured;
    }

    public void setIsConfigured(Boolean configured) {
        this.isConfigured = configured;
    }

    public String getValidationResult() {
        return validationResult;
    }

    public void setValidationResult(String validationResult) {
        this.validationResult = validationResult;
    }
}
