package pwc.taxtech.atms.dto.vatdto;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class DataSourceDto {
//    private static String _DataSourcePrefix = "DS[";
//    private static String _DataSourceSuffix = "]";

    public DataSourceDto() {
        //this.internalCode = _DataSourcePrefix + hashCode() + _DataSourceSuffix;
    }

    String id;

    //String internalCode;
    String name;

    // 1: Formula, 2: Voucher, 3: OutputInvoice, 4: InputInvoice, 5: CustomInvoice, 6: KeyIn, 7: RelatedModel, 8: SapDaily
    Integer dataSourceType;
    private String keyinData;
    private BigDecimal amount;
    String description;

    // 1: +, 2: -, 3: *, 4: /
    Integer operationType;
    String rel_sql;

    // 1: Number, 2: Percentage, 3: Boolean, 4: String
    Integer resultType;
    Integer type;
    @JsonProperty("keyValueDataID")
    String keyValueDataId;
    String creator;
    Date createTime;
    String updater;
    Date updateTime;
    @JsonProperty("cellDataID")
    String cellDataId;
    List<String> items;
    @JsonProperty("projectID")
    String projectId;
    @JsonProperty("serviceTypeID")
    String serviceTypeId;
    Integer rowIndex;
    Integer columnIndex;
    String rowName;
    String columnName;
    Integer year;
    Integer period;
    String summaryExp;
    @JsonProperty("cellTemplateID")
    String cellTemplateId;
    @JsonProperty("reportTemplateID")
    String reportTemplateId;

    public String getRel_sql() {
        return rel_sql;
    }

    public void setRel_sql(String rel_sql) {
        this.rel_sql = rel_sql;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getDataSourceType() {
        return this.dataSourceType;
    }

    public void setDataSourceType(Integer dataSourceType) {
        this.dataSourceType = dataSourceType;
    }

    public String getKeyinData() {
        return this.keyinData;
    }

    public void setKeyinData(String keyinData) {
        this.keyinData = keyinData;
    }

    public BigDecimal getAmount() {
        return this.amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getOperationType() {
        return this.operationType;
    }

    public void setOperationType(Integer operationType) {
        this.operationType = operationType;
    }

    public Integer getResultType() {
        return this.resultType;
    }

    public void setResultType(Integer resultType) {
        this.resultType = resultType;
    }

    public Integer getType() {
        return this.type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getKeyValueDataId() {
        return this.keyValueDataId;
    }

    public void setKeyValueDataId(String keyValueDataId) {
        this.keyValueDataId = keyValueDataId;
    }

    public String getCreator() {
        return this.creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdater() {
        return this.updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    public Date getUpdateTime() {
        return this.updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getCellDataId() {
        return this.cellDataId;
    }

    public void setCellDataId(String cellDataId) {
        this.cellDataId = cellDataId;
    }

    public List<String> getItems() {
        return this.items;
    }

    public void setItems(List<String> items) {
        this.items = items;
    }

    public String getProjectId() {
        return this.projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getServiceTypeId() {
        return this.serviceTypeId;
    }

    public void setServiceTypeId(String serviceTypeId) {
        this.serviceTypeId = serviceTypeId;
    }

    public Integer getRowIndex() {
        return this.rowIndex;
    }

    public void setRowIndex(Integer rowIndex) {
        this.rowIndex = rowIndex;
    }

    public Integer getColumnIndex() {
        return this.columnIndex;
    }

    public void setColumnIndex(Integer columnIndex) {
        this.columnIndex = columnIndex;
    }

    public String getRowName() {
        return this.rowName;
    }

    public void setRowName(String rowName) {
        this.rowName = rowName;
    }

    public String getColumnName() {
        return this.columnName;
    }

    public void setColumnName(String columnName) {
        this.columnName = columnName;
    }

    public Integer getYear() {
        return this.year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public Integer getPeriod() {
        return this.period;
    }

    public void setPeriod(Integer period) {
        this.period = period;
    }

    public String getSummaryExp() {
        return this.summaryExp;
    }

    public void setSummaryExp(String summaryExp) {
        this.summaryExp = summaryExp;
    }

    public String getCellTemplateId() {
        return this.cellTemplateId;
    }

    public void setCellTemplateId(String cellTemplateId) {
        this.cellTemplateId = cellTemplateId;
    }

    public String getReportTemplateId() {
        return this.reportTemplateId;
    }

    public void setReportTemplateId(String reportTemplateId) {
        this.reportTemplateId = reportTemplateId;
    }
}
