package pwc.taxtech.atms.service.impl;

import org.activiti.engine.RuntimeService;
import org.activiti.engine.TaskService;
import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import pwc.taxtech.atms.CommonIT;
import pwc.taxtech.atms.dto.approval.ApprovalDto;
import pwc.taxtech.atms.vat.service.impl.ApprovalService;


public class BpmTest extends CommonIT {

    private static final Logger logger = LoggerFactory.getLogger(BpmTest.class);

    @Autowired
    RuntimeService runtimeService;
    @Autowired
    TaskService taskService;
    @Autowired
    ApprovalService approvalService;

    @Test
    public  void testStart(){
        ApprovalDto dto=new ApprovalDto();
        dto.setProjectId("220c976c-f527-4abe-ad4a-3c2f863854c8");
        dto.setPeriodDate("2019.2");
        approvalService.startInstanceAndAssignee(dto);
//        approvalService.checkTask("220c976c-f527-4abe-ad4a-3c2f863854c8",2,"agreed","aaa", Constant.ROLE_COMPLIANCE_CHIEF);
//        approvalService.checkTask("220c976c-f527-4abe-ad4a-3c2f863854c8",2,"agreed","aaa", Constant.ROLE_TAX_BP);
//        approvalService.checkTask("220c976c-f527-4abe-ad4a-3c2f863854c8",2,"agreed","aaa", Constant.ROLE_COMPLIANCE_IA);
    }

    @Test
    public  void testApproval(){
        ApprovalDto dto=new ApprovalDto();
        dto.setProjectId("220c976c-f527-4abe-ad4a-3c2f863854c8");
        dto.setPeriodDate("2019.2");
//        approvalService.checkTask("220c976c-f527-4abe-ad4a-3c2f863854c8",2,"disagreed","aaa", Constant.ROLE_COMPLIANCE_IA);
    }

}