﻿(function () {
    'use strict';

    angular.module('app.config', [])
        // region of current application
        .constant('region', 'zh-CN')
        //.constant('region', 'en-US')
        // version of current application
        .constant('version', '1.0.0.0')
        // Exceptionless Server URL
        .constant('exceptionlessServerURL', '')
        .run([
            'region', function (region) {
                $.when(
                    $.getJSON("/Scripts/cldr/main/zh/numbers.json"),
                    $.getJSON("/Scripts/cldr/main/zh/ca-gregorian.json"),
                    $.getJSON("/Scripts/cldr/supplemental/likelySubtags.json")
                ).then(function () {
                    return [].slice.apply(arguments, [0]).map(function (result) {
                        return result[0];
                    });
                }).then(Globalize.load).then(function () {
                     Globalize.locale("zh-CN");
                   // Globalize.locale("en-US");
                    DevExpress.localization.locale(region);
                    //DevExpress.localization.locale(navigator.language || navigator.browserLanguage);
                });
            }
        ]);
}());