﻿infrastructureModule.directive('userList', ['$log',
    function ($log) {
        'use strict';
        $log.debug('userList.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/admin/infrastructure/userList/user-list.html' + '?_=' + Math.random(),
            replace: true,
            scope: {},
            controller: 'userListController',
            link: function (scope, element) {

                scope.setGridHeight = function () {
                    var pageWrapSelector = ".user-list-wrap";
                    var menuSelector = ".menu-header";
                    var contentHeader = '.content-container .header';
                    var dxGridSelctor = "#userGridContainer";

                    var contentHeaderHeight = parseInt($(contentHeader).css('height').replace('px', ''));
                    var pageHeight = parseInt($(pageWrapSelector).css('height').replace('px', ''));
                    var menuHeight = parseInt($(menuSelector).css('height').replace('px', ''));
                    var height = pageHeight - menuHeight - contentHeaderHeight - 40 + 'px';

                    $(dxGridSelctor).css('max-height', height);
                };


                $(window).resize(function () {
                    scope.setGridHeight();
                });

                //var lazyLayout = _.debounce(setGridHeight, 50);
                //$(window).resize(lazyLayout);
            }
        };
    }
]);