﻿commonModule.directive('areaSelector', ['$log',
    function ($log) {
        'use strict';
        $log.debug('areaSelector.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/common/controls/area-selector/area-selector.html' + '?_=' + Math.random(),
            replace: true,
            scope: {
                selectedAreaCode: '=',
                selectedAreaName: '=',
                selectedAreaId: '=',
                componentSelectedArea: '=',
                isShowAll: '=',
                loadData: '&',
                onChange: '&onChange'
            },
            controller: 'AreaSelectorController',
            link: function (scope, element) {
                $(document).on('click', '.custom-tree-wrapper', function (e) {
                     e.stopPropagation();
                });
            }
        };
    }
]);