﻿commonModule.directive('menuSelector', ['$log',
    function ($log) {
        'use strict';
        $log.debug('menuSelector.ctor()...');
        return {
            restrict: 'E',
            templateUrl: '/app/common/controls/menu-multi-selector/menu-multi-selector.html' + '?_=' + Math.random(),
            replace: true,
            scope: {
                selectedMenuCodes: '=',
                selectedMenuNames: '=',
                serviceId: '=',
                serviceRequired: '&'
            },
            controller: 'menuSelectorController',
            link: function (scope, element) {

                // in dialog
                element.find('.selector-input').on('click', function () {
                    //console.log('click call....')
                    if (scope.serviceId != null && angular.isString(scope.serviceId)) {
                        scope.updateMenuChecked();
                        scope.$digest();
                        element.find('.menu-tree-container').show();
                    } else {
                        scope.serviceRequired();

                    }   
                });
                $(document).on('click', function () {
                    element.find('.menu-tree-container').hide();
                }).on('click', '.menu-tree-wrapper', function (e) {
                    e.stopPropagation();
                }); 
            }
        };
    }
]);