﻿webservices.factory('outputReconciliationService', ['$http', 'apiConfig', function ($http, apiConfig) {
    'use strict';
    return {
        loadReconciliationEntityOverview: function (dto) {
            return $http.post('/reconciliationValue/load', dto, apiConfig.createVat());
        },
        updateReconciliationEntityValue: function (dto) {
            return $http.put('/reconciliationValue/updateValue', dto, apiConfig.createVat());
        },
        refreshForm: function (dto) {
            return $http.post('/reconciliationValue/refreshForm', dto, apiConfig.createVat());
        },

        getIncomeAxList: function (incomeAxParams) {
            return $http.post('/reconciliationEntityOverview/getIncomeAxList', incomeAxParams, apiConfig.create())
        },

        getTaxFaPiaoList: function (taxFapiaoParams) {
            return $http.post('/reconciliationEntityOverview/getTaxFaPiaoList', taxFapiaoParams, apiConfig.create())
        },
    };
}]);