﻿// web service proxy for data file upload
webservices.factory('dataUploadService', ['$http', 'apiConfig', function ($http, apiConfig) {
    'use strict';
    return {

        getUploadFileList: function (projectId) {
            return $http.get('/FileUpload/uploadfile/' + projectId, apiConfig.create());
        },
        getProjectList: function () {
            return $http.get('/FileUpload/projectlist/', apiConfig.create());
        },
        getUploadFileTypeList: function (){
            return $http.get('/FileUpload/FileTypes', apiConfig.create());
        },
        getFileUploadLimit: function ()
        {
            return $http.get('/FileUpload/FileUploadLimit', apiConfig.create());
        },
        removeUploadFile: function (fileId)
        {
            return $http.delete('/FileUpload/File/' + fileId, apiConfig.create());
        },

    };
}]);