﻿// web service proxy for role
webservices.factory('modifiedReportCellService', ['$http', 'apiConfig', function ($http, apiConfig) {
    'use strict';
    return {
        update: function (modifiedReportCell) {
            return $http.post('/ModifiedReportCell/Update', modifiedReportCell, apiConfig.createVat());
        },
        reset: function (id) {
            return $http.post('/ModifiedReportCell/Reset/' + id, {}, apiConfig.createVat());
        },
    };
}]);